# Generated by Django 2.1.1 on 2019-01-04 07:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('IndospiritTransactions', '0016_auto_20181229_0955'),
    ]

    operations = [
        migrations.CreateModel(
            name='Ledger',
            fields=[
                ('ledger_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('ledger_type', models.CharField(choices=[('Dealer', 'Dealer'), ('Sales', 'Sales'), ('Discount', 'Discount'), ('Bank', 'Bank'), ('CreditNote', 'Credit Note'), ('DebitNote', 'Debit Note')], default='Sales', max_length=30)),
                ('remarks', models.TextField(blank=True, null=True)),
                ('dr_amount', models.DecimalField(decimal_places=2, default=0, max_digits=20)),
                ('cr_amount', models.DecimalField(decimal_places=2, default=0, max_digits=20)),
                ('balance', models.DecimalField(decimal_places=2, default=0, max_digits=20)),
                ('order_number', models.IntegerField(blank=True, default=0, null=True)),
                ('voucher_number', models.CharField(blank=True, max_length=30, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('is_active', models.BooleanField(blank=True, default=True, null=True)),
                ('is_deleted', models.BooleanField(blank=True, default=False, null=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_by_ledger', to=settings.AUTH_USER_MODEL)),
                ('dealer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='ledger_dealer', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
